
set echo on
col name format a30

SELECT view_name
FROM   dba_views
WHERE  view_name LIKE 'V_$RESULT_CACHE%';

DESC v$result_cache_objects;

col name format a40 wrapped
col cache_id format a20
col value format 99999999999999

SELECT id
,      name
,      type
,      cache_id
,      row_count 
FROM   v$result_cache_objects
ORDER  BY
       creation_timestamp;

SELECT *
FROM   v$result_cache_statistics;

col name format a50 wrapped
col object_names format a30

SELECT ro.id
,      ro.name
,      wm_concat(do.object_name) AS object_names
FROM   v$result_cache_objects    ro
          LEFT OUTER JOIN
       v$result_cache_dependency rd
          ON (ro.id = rd.result_id)
          LEFT OUTER JOIN
       dba_objects               do
          ON (rd.object_no = do.object_id)
WHERE  ro.type = 'Result'
GROUP  BY
       ro.id
,      ro.name;

